'use strict';

import React from 'react';
import { observer } from 'mobx-react';
import './index.less';
import store from '../../store/store';
import { Button } from '@grace/ui';
import { _asyncThrottle } from "../../utils/utils";

@observer
class BlackPop extends React.Component {
  constructor(props) {
    super(props);
  }

  async componentDidMount() {
  }

  handleClose = _asyncThrottle(() => {
    window.location.href = `${CFG.domain}/projectx/${store.frontVariable.otherProjectId}/index.html?appID=${CFG.appID}`
  })

  render() {
    return (
      <div className="blackPop modal_center">
        <span className="bg"></span>
        <Button className="know_btn md1" onClick={this.handleClose} />
        {/* <Button className="close" onClick={this.handleClose} /> */}
      </div>
    );
  }
}
export default BlackPop;
